RecordInput (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.record, interface: RecordInput

Package org.apache.hadoop.record

# Interface RecordInput

All Known Implementing Classes:
  `BinaryRecordInput`

@Deprecated @Public @Stable public interface RecordInput
Deprecated.
Replaced by Avro.
Interface that all the Deserializers have to implement.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `endMap(String tag)`
  Deprecated.
  Check the mark for end of the serialized map.
  `void`
  `endRecord(String tag)`
  Deprecated.
  Check the mark for end of the serialized record.
  `void`
  `endVector(String tag)`
  Deprecated.
  Check the mark for end of the serialized vector.
  `boolean`
  `readBool(String tag)`
  Deprecated.
  Read a boolean from serialized record.
  `Buffer`
  `readBuffer(String tag)`
  Deprecated.
  Read byte array from serialized record.
  `byte`
  `readByte(String tag)`
  Deprecated.
  Read a byte from serialized record.
  `double`
  `readDouble(String tag)`
  Deprecated.
  Read a double-precision number from serialized record.
  `float`
  `readFloat(String tag)`
  Deprecated.
  Read a single-precision float from serialized record.
  `int`
  `readInt(String tag)`
  Deprecated.
  Read an integer from serialized record.
  `long`
  `readLong(String tag)`
  Deprecated.
  Read a long integer from serialized record.
  `String`
  `readString(String tag)`
  Deprecated.
  Read a UTF-8 encoded string from serialized record.
  `Index`
  `startMap(String tag)`
  Deprecated.
  Check the mark for start of the serialized map.
  `void`
  `startRecord(String tag)`
  Deprecated.
  Check the mark for start of the serialized record.
  `Index`
  `startVector(String tag)`
  Deprecated.
  Check the mark for start of the serialized vector.

- ## Method Details

  - ### readByte

    byte readByte(String tag) throws IOException
    Deprecated.
    Read a byte from serialized record.
    Parameters:
      `tag` - Used by tagged serialization formats (such as XML)
    Returns:
      value read from serialized record.
    Throws:
      `IOException`

  - ### readBool

    boolean readBool(String tag) throws IOException
    Deprecated.
    Read a boolean from serialized record.
    Parameters:
      `tag` - Used by tagged serialization formats (such as XML)
    Returns:
      value read from serialized record.
    Throws:
      `IOException`

  - ### readInt

    int readInt(String tag) throws IOException
    Deprecated.
    Read an integer from serialized record.
    Parameters:
      `tag` - Used by tagged serialization formats (such as XML)
    Returns:
      value read from serialized record.
    Throws:
      `IOException`

  - ### readLong

    long readLong(String tag) throws IOException
    Deprecated.
    Read a long integer from serialized record.
    Parameters:
      `tag` - Used by tagged serialization formats (such as XML)
    Returns:
      value read from serialized record.
    Throws:
      `IOException`

  - ### readFloat

    float readFloat(String tag) throws IOException
    Deprecated.
    Read a single-precision float from serialized record.
    Parameters:
      `tag` - Used by tagged serialization formats (such as XML)
    Returns:
      value read from serialized record.
    Throws:
      `IOException`

  - ### readDouble

    double readDouble(String tag) throws IOException
    Deprecated.
    Read a double-precision number from serialized record.
    Parameters:
      `tag` - Used by tagged serialization formats (such as XML)
    Returns:
      value read from serialized record.
    Throws:
      `IOException`

  - ### readString

    String readString(String tag) throws IOException
    Deprecated.
    Read a UTF-8 encoded string from serialized record.
    Parameters:
      `tag` - Used by tagged serialization formats (such as XML)
    Returns:
      value read from serialized record.
    Throws:
      `IOException`

  - ### readBuffer

    Buffer readBuffer(String tag) throws IOException
    Deprecated.
    Read byte array from serialized record.
    Parameters:
      `tag` - Used by tagged serialization formats (such as XML)
    Returns:
      value read from serialized record.
    Throws:
      `IOException`

  - ### startRecord

    void startRecord(String tag) throws IOException
    Deprecated.
    Check the mark for start of the serialized record.
    Parameters:
      `tag` - Used by tagged serialization formats (such as XML)
    Throws:
      `IOException`

  - ### endRecord

    void endRecord(String tag) throws IOException
    Deprecated.
    Check the mark for end of the serialized record.
    Parameters:
      `tag` - Used by tagged serialization formats (such as XML)
    Throws:
      `IOException`

  - ### startVector

    Index startVector(String tag) throws IOException
    Deprecated.
    Check the mark for start of the serialized vector.
    Parameters:
      `tag` - Used by tagged serialization formats (such as XML)
    Returns:
      Index that is used to count the number of elements.
    Throws:
      `IOException`

  - ### endVector

    void endVector(String tag) throws IOException
    Deprecated.
    Check the mark for end of the serialized vector.
    Parameters:
      `tag` - Used by tagged serialization formats (such as XML)
    Throws:
      `IOException`

  - ### startMap

    Index startMap(String tag) throws IOException
    Deprecated.
    Check the mark for start of the serialized map.
    Parameters:
      `tag` - Used by tagged serialization formats (such as XML)
    Returns:
      Index that is used to count the number of map entries.
    Throws:
      `IOException`

  - ### endMap

    void endMap(String tag) throws IOException
    Deprecated.
    Check the mark for end of the serialized map.
    Parameters:
      `tag` - Used by tagged serialization formats (such as XML)
    Throws:
      `IOException`